API ReferenceMilestone
Updates the Milestone resource
PATCH
Updates the Milestone resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringMilestone identifier
The updated Milestone resource
- body
name?stringLength
length <= 100description?|Length
length <= 500dateStart?stringFormat
date-timestatus?|Value in
"todo""on-hold""at-risk""done"Milestone resource updated
- response
id?stringFormat
uuidproject?stringFormat
uuidstage?|Format
uuidweight?integername?stringLength
length <= 100dateStart?stringFormat
date-timedescription?|Length
length <= 500status?|Value in
"todo""on-hold""at-risk""done"curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/milestones/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "weight": 0, "name": "string", "dateStart": "2019-08-24T14:15:22Z", "description": "string", "status": "todo"}